> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Merge Fields

> Get available merge fields for a communication group



## OpenAPI

````yaml GET /api/communication-groups/{id}/merge-fields
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/communication-groups/{id}/merge-fields:
    get:
      tags:
        - Communication Groups
      summary: Get Available Merge Fields
      description: Get available merge fields for a communication group
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            description: >-
              The id of the communication group. Pass `all` to get all merge
              fields not specific to a communication group
          required: true
          description: >-
            The id of the communication group. Pass `all` to get all merge
            fields not specific to a communication group
          name: id
          in: path
        - schema:
            type: string
            description: The id of the automation to also include any managed merge fields
          required: false
          description: The id of the automation to also include any managed merge fields
          name: automationId
          in: path
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      mergeFields:
                        type: array
                        items:
                          type: object
                          properties:
                            category:
                              type: string
                              description: The category of the merge field
                            entries:
                              type: array
                              items:
                                type: object
                                properties:
                                  label:
                                    type: string
                                    description: The label of the merge field
                                  value:
                                    type: string
                                    description: The value of the merge field
                                required:
                                  - label
                                  - value
                          required:
                            - category
                            - entries
                    required:
                      - mergeFields
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````